
TYPO3.Flow - Feature # 46

Status: Resolved Priority: Must have
Author: Robert Lemke Category: AOP
Created: 2007-03-23 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement After Advice
Description

Currently only After Returning and After Throwing advices exist. Implement the general After advice as well and make sure that After
Returning is only invoked if no exception is thrown!

Associated revisions
Revision 1bf9dc20 - 2008-12-19 18:36 - Andreas Förthner
FLOW3 (AOP):
    -  Implemented the after advice. Resolves #46.

History
#1 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-07-01 15:31 - Robert Lemke
- Target version deleted (18)

#3 - 2008-10-22 23:00 - Robert Lemke
- Target version set to 1.0 alpha 1

#4 - 2008-10-28 12:53 - Karsten Dambekalns
- Target version deleted (1.0 alpha 1)

#5 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#6 - 2008-12-09 11:30 - Robert Lemke
- Assigned To changed from Robert Lemke to Andreas Förthner

#7 - 2008-12-19 18:40 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1663.
